<?php declare(strict_types=1);

namespace Kilo;

class Syntax {
	public const HIGHLIGHT_NUMBERS = (1 << 0);

	public string $filetype = '';
	public array $filematch = [];
	public int $flags = 0;

	public static function new(string $name, array $extList, int $flags): self
	{
		$self = new self();

		$self->filetype = $name;
		$self->filematch = $extList;
		$self->flags = $flags;

		return $self;
	}

	private function __construct() {}
}