<?php declare(strict_types=1);

namespace Kilo;

function get_hldb(): array
{
	static $db = [];

	if (count($db) === 0)
	{
		$db = [
			Syntax::new(
				'c',
				['.c', '.h', '.cpp'],
				Syntax::HIGHLIGHT_NUMBERS,
			),
		];
	}

	return $db;
}
